Subject: Ticket Assigned - Article Feedback - I have other questions about returns, refunds and cancellations. Who can I call?
From: Homecentre <[email-masked]>
To: [email-masked]
Date: Wed, 03 Mar 2021 04:19:39 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - I have other questions about returns, refunds and cancellations. Who can I call? Feedback for:  I have other questions about returns, refunds and cancellations. Who can I call? My order was canceled but item still available in stock and I was charged 2kd why??? Plz call me at 99706644 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2163817